package merchant

type GetListByIdReq struct {
	Id int64 `json:"id" validate:"required"`
}

type GetListByIdResp struct {
	Id              int64  `json:"id" `
	OrderNo         string `json:"order_no"`
	MerchantId      int64  `json:"merchant_id"`
	ProductId       int64  `json:"product_id"`
	OutTradeNo      string `json:"out_trade_no"`
	RechargeAccount string `json:"recharge_account"`
	AccountType     int64  `json:"account_type"`
	Number          int64  `json:"number"`
	NotifyUrl       string `json:"notify_url"`
	ExtendParameter string `json:"extend_parameter"`
	Status          int64  `json:"status"`
	TransferStatus  int64  `json:"transfer_status"`
	CreatedAt       string `json:"created_at" example:"2020-01-01 00:00:00"`
}

type SearchReq struct {
	Id              int64    `json:"id"`
	OrderNo         string   `json:"order_no"`
	MerchantId      int64    `json:"merchant_id"`
	ProductId       int64    `json:"product_id"`
	OutTradeNo      string   `json:"out_trade_no"`
	RechargeAccount string   `json:"recharge_account"`
	AccountType     int64    `json:"account_type"`
	Status          int64    `json:"status"`
	TransferStatus  int64    `json:"transfer_status"`
	CreatedAt       []string `json:"created_at" form:"created_at"`
	PageNum         int      `json:"page_num" form:"page" validate:"required"`
	PageSize        int      `json:"page_size" form:"page_size" validate:"required"`
}

type SearchResp struct {
	Id              int64  `json:"id" `
	OrderNo         string `json:"order_no"`
	MerchantId      int64  `json:"merchant_id"`
	ProductId       int64  `json:"product_id"`
	OutTradeNo      string `json:"out_trade_no"`
	RechargeAccount string `json:"recharge_account"`
	AccountType     int64  `json:"account_type"`
	Number          int64  `json:"number"`
	NotifyUrl       string `json:"notify_url"`
	ExtendParameter string `json:"extend_parameter"`
	Status          int64  `json:"status"`
	TransferStatus  int64  `json:"transfer_status"`
	CreatedAt       string `json:"created_at" example:"2020-01-01 00:00:00"`
}

type CreateReq struct {
	MerchantId      int64  `json:"merchant_id" validate:"required"`
	ProductId       int64  `json:"product_id" validate:"required"`
	OutTradeNo      string `json:"out_trade_no" validate:"required"`
	RechargeAccount string `json:"recharge_account" validate:"required"`
	AccountType     int64  `json:"account_type" validate:"required"`
	Number          int64  `json:"number" validate:"required"`
	NotifyUrl       string `json:"notify_url" validate:"required"`
	ExtendParameter string `json:"extend_parameter" validate:"required"`
	Status          int64  `json:"status" validate:"required"`
	TransferStatus  int64  `json:"transfer_status" validate:"required"`
}

type CreateResp struct {
	Id int64 `json:"id" `
}

type UpdateReq struct {
	Id              int64  `json:"id" validate:"required"`
	MerchantId      int64  `json:"merchant_id" validate:"required"`
	ProductId       int64  `json:"product_id" validate:"required"`
	OutTradeNo      string `json:"out_trade_no" validate:"required"`
	RechargeAccount string `json:"recharge_account" validate:"required"`
	AccountType     int64  `json:"account_type" validate:"required"`
	Number          int64  `json:"number" validate:"required"`
	NotifyUrl       string `json:"notify_url" validate:"required"`
	ExtendParameter string `json:"extend_parameter" validate:"required"`
	Status          int64  `json:"status" validate:"required"`
	TransferStatus  int64  `json:"transfer_status" validate:"required"`
}

type UpdateResp struct {
	Id int64 `json:"id" `
}

type DeleteReq struct {
	Id int64 `json:"id" validate:"required"`
}

type DeleteResp struct {
	Id int64 `json:"id" `
}
