create table merchant (
    id int primary key auto_increment,
    name varchar(255) not null,
    private_key varchar(255),
    created_at timestamp default current_timestamp
);

create table orders (
    id int primary key auto_increment,
    order_no varchar(255) not null,
    merchant_id int,
    
    out_trade_no varchar(64),
    product_id int,
    recharge_account varchar(64),
    account_type tinyint,
    number int,
    notify_url varchar(255),
    extend_parameter varchar(1024),

    status tinyint,-- 1.成功 2.充值中 3.充值失败 4.异常需要人工处理
    transfer_status tinyint,-- 1.成功 2.充值中 3. 等待充值 4.充值失败 5.异常需要人工处理
    created_at timestamp default current_timestamp
);

create table whitelist (
    id int primary key auto_increment,
    merchant_id int,
    ip varchar(64),
    created_at timestamp default current_timestamp
);

create table product (
    id int primary key auto_increment,
    name varchar(255) not null, 
    price int,
    product_url varchar(255),
    status tinyint, -- 1.上架 2.下架
    created_at timestamp default current_timestamp
);
